/**
 * 
 */
package test.DEBBTranslator.src;

import java.io.FileOutputStream;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;

/**
 * @author gosiaw
 *
 */
public class DCWoRMSElementsSorter {

	private static final String DEFAULT_OUTPUT_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXML_TEST_SORTED.xml";
	private static final String DEFAULT_INPUT_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXML_TEST.xml";
	private static final String DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/DCWoRMSElementsSorter.xsl";
	

	/**
	 * 
	 */
	public DCWoRMSElementsSorter() {
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		String inputFileName = DEFAULT_INPUT_FILE_NAME;
		String outputFileName = DEFAULT_OUTPUT_FILE_NAME;
		String debbTransformationFileName = DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME;
		
		if (args != null && args.length > 0) {
			inputFileName = args[0];
			if (inputFileName == null
					|| (inputFileName != null && inputFileName.isEmpty() == true)) {
				inputFileName = DEFAULT_INPUT_FILE_NAME;
			}

			if (args.length > 1) {
				outputFileName = args[1];
				if (outputFileName == null
						|| (outputFileName != null && outputFileName.isEmpty() == true)) {
					outputFileName = DEFAULT_OUTPUT_FILE_NAME;
				}
			}
		}
				
		try {
			TransformerFactory tFactory = TransformerFactory.newInstance();
						
			Transformer transformer = tFactory
					.newTransformer(new javax.xml.transform.stream.StreamSource(
							debbTransformationFileName));

			transformer.transform(new javax.xml.transform.stream.StreamSource(
					inputFileName),
					new javax.xml.transform.stream.StreamResult(
							new FileOutputStream(outputFileName)));
			System.out.println("File " + inputFileName + " transformed into " + outputFileName + " file");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
